Bug 121254 - You cannot access the Floating Frame interface from a macro.
Summary: You cannot access the Floating Frame interface from a macro.
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.6.1 rc
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro
  Show dependency treegraph
 
Reported: 2018-11-07 18:12 UTC by Kadet
Modified: 2019-12-20 03:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Document Writer c Floating Frame + macros (120.91 KB, application/vnd.oasis.opendocument.text)
2018-11-07 18:16 UTC, Kadet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kadet 2018-11-07 18:12:15 UTC
Description:
I create a Write document. 
In it I create a Floating Frame (Insert→Frame→Floating Frame).
In the Content (Edit - Object – Properties) field, fill in: private:factory/scalc .
The Calc frame appears in the Write document.
This built-in the whole document works as a regular Calc document. Cells can be filled, format, copy, and paste, merge etc, you Can add, format and delete sheets embedded in the document.
Andrew Pitonyak procedures: Documents_Iteration and getDocType define a frame as a separate open document of type Unknown.
It is not possible to access the embedded document from a macro.


Steps to Reproduce:
1.Basic Code: 
oDoc = ThisComponent.EmbeddedObjects(0).EmbeddedObject.getComponent()
oSheets = oDoc.oSheets(0)
2.
3.

Actual Results:
BASIC runtime error.
Property or method not found: oSheets.

Expected Results:
Access the embedded document and use the macro to populate the embedded table.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Kadet 2018-11-07 18:16:41 UTC
Created attachment 146410 [details]
Document Writer c Floating Frame + macros
Comment 2 Dieter 2019-05-22 11:36:58 UTC
Kadet, thank you for reporting the bug. Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ? I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 3 QA Administrators 2019-11-19 03:29:15 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-20 03:39:25 UTC
Dear Kadet,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp